Endpoint Information

Category OAuth 2.0
Description Authentication
Endpoint https://accept.api.rm-nl.nl/api/rm/oauth2/authorize
Method POST

Request Headers

Type Parameter Required Default Example Description
string Content-Type Required application/json - The type of content present in the request payload.

Request Body Parameters

Type Parameter Required Default Example Description Carrier
string
client_id
Required your-client-id -
string
client_secret
Required your-client-secret -
string
grant_type
Required client_credentials -

Response: 200

Type Parameter Default Example Description
string
status
- OK
string
token_type
Bearer -
string
access_token
- your-access-token
string
refresh_token
- your-refresh-token
integer
expires_in
- 3600
string
expires_at
- 2023-04-13T12:00:00Z

Request Example

{
    "client_id": "your-client-id",
    "client_secret": "your-client-secret",
    "grant_type": "client_credentials"
}